# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "noa/core/version"

rails_version = "4.0.0"

Gem::Specification.new do |spec|
  spec.name          = "noa-core"
  spec.version       = Noa::Core::VERSION
  spec.authors       = ["Jari Jokinen"]
  spec.email         = ["info@jarijokinen.com"]
  spec.description   = "Core functionality for Noa"
  spec.summary       = "Core functionality for Noa"
  spec.homepage      = "https://github.com/jarijokinen/noa-core"
  spec.license       = "MIT"

  spec.platform = Gem::Platform::RUBY
  spec.required_ruby_version = ">= 2.0.0"

  spec.files         = `git ls-files`.split($/)
  spec.test_files    = spec.files.grep(%r{^spec/})
  spec.require_paths = ["lib"]

  spec.add_dependency "actionpack", rails_version
  spec.add_dependency "activesupport", rails_version
  spec.add_dependency "railties", rails_version
  
  spec.add_development_dependency "bundler",     "~> 1.3"
  spec.add_development_dependency "database_cleaner", "~> 1.0.1"
  spec.add_development_dependency "guard-rspec", "~> 3.0.2"
  spec.add_development_dependency "guard-spork", "~> 1.5.1"
  spec.add_development_dependency "rails",       rails_version
  spec.add_development_dependency "rake",        "~> 10.1.0"
  spec.add_development_dependency "rspec-rails", "~> 2.13.2"
  spec.add_development_dependency "spork-rails"  # Use repo defined in Gemfile
  spec.add_development_dependency "sqlite3",     "~> 1.3.7"
end
